Bug 431188 - Review Request: minbar - Athan call and prayer times notification software
Review Request: minbar - Athan call and prayer times notification software
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On: 431181
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-01 07:48 EST by Mohd Izhar Firdaus Ismail
Modified: 2008-03-02 12:16 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-02 12:16:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mohd Izhar Firdaus Ismail 2008-02-01 07:48:41 EST
Spec URL: http://izhar.fedorapeople.org/itl/minbar.spec
SRPM URL: http://izhar.fedorapeople.org/itl/minbar-0.2.1-2.fc8.src.rpm
Description: 

Minbar is a GNOME GUI with tray icon, for athan
call and notifications for Islam prayer times.
Comment 1 Mamoru TASAKA 2008-02-16 20:37:59 EST
Rebuild failed.

http://koji.fedoraproject.org/koji/taskinfo?taskID=432105
Comment 2 Mohd Izhar Firdaus Ismail 2008-02-16 22:41:32 EST
Spec URL: http://izhar.fedorapeople.org/itl/minbar.spec
SRPM URL: http://izhar.fedorapeople.org/itl/minbar-0.2.1-3.fc9.src.rpm

fixed.

- added missing BR perl(XML::Parser), desktop-file-utils
Comment 3 Mamoru TASAKA 2008-02-17 09:08:49 EST
For 0.2.1-3:

* Scriptlets
  - Scriptlets for GConf are not right. (also scriptlets for %pre
    is needed). Please check the subsection "GConf" of
    http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
  - Also the scriptlets for GTK icon cache are not right.
    Please check the same wiki page.

* Timestamp
  - To keep timestamps on installed files, I recommend to use
---------------------------------------------------------------
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
---------------------------------------------------------------
    This method usually works for recent autotool-based Makefiles.

* Desktop file
  - Why is the category 'Utility' listed twice?

* Documents
  - Usually the file "INSTALL" is for people who want to build and install
    softwares by themselves and is not needed for people using rpm system.
  - Files under %_mandir are automatically marked as %doc.

* macros
  - Please use macros correctly. For example /usr/bin must be %{_bindir}.
Comment 5 Mamoru TASAKA 2008-02-24 09:44:17 EST
For 0.2.1-4:

* sed usage
-------------------------------------------------------
cat %{name}.desktop.in |sed "s|Utility;Utility;|Utility;|" > %{name}.desktop.tmp
mv %{name}.desktop.tmp %{name}.desktop.in
-------------------------------------------------------
  - You can use -i (in place) option.
-------------------------------------------------------
sed -i -e "s|\(Utility;\)\1|\1|" %{name}.desktop.in
-------------------------------------------------------

* macros
  - As I said in the previous comments, please replace all
    /usr/bin with %{_bindir}.
-------------------------------------------------------
if [ -x /usr/bin/gtk-update-icon-cache ]; then
        /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi
-------------------------------------------------------

* scriptlet
  - As I said in the previous comments the scriptlets for
    GTK+ icon cache are not yet right. Please refer to
    the section "GTK+ icon cache" of
    http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
    again.

* Documents
  - Files under %_mandir are automatically marked as %doc.
Comment 6 Mohd Izhar Firdaus Ismail 2008-03-02 06:49:39 EST
Thanks,

I have updated the package

- fixed gtk-update-icon-cache scriplet
- changed sed to use -i
- removed %doc from man files

http://izhar.fedorapeople.org/itl/minbar.spec
http://izhar.fedorapeople.org/itl/minbar-0.2.1-4.fc9.src.rpm
Comment 7 Mohd Izhar Firdaus Ismail 2008-03-02 06:51:11 EST
oops

SRPM: http://izhar.fedorapeople.org/itl/minbar-0.2.1-5.fc9.src.rpm

Comment 8 Mamoru TASAKA 2008-03-02 11:27:26 EST
For 0.2.1-5:

* GConf scriptlet
  - I didn't notice before, but "Requires(pre): GConf" is
    missing.

* sed usage
------------------------------------------------------------
sed -i "s|\(Utility;)\1|\1|" %{name}.desktop.in
------------------------------------------------------------
  - The correct one is:
------------------------------------------------------------
sed -i "s|\(Utility;\)\1|\1|" %{name}.desktop.in
------------------------------------------------------------

Other things are okay.
--------------------------------------------------------------------------
         This package (minbar) is APPROVED by me.
--------------------------------------------------------------------------
Comment 9 Mohd Izhar Firdaus Ismail 2008-03-02 11:45:14 EST
Thanks tasaka-san

New Package CVS Request
=======================
Package Name: minbar
Short Description: Athan call and prayer times notification software
Owners: izhar
Branches: F-7 F-8
InitialCC: izhar
Cvsextras Commits: yes
Comment 10 Kevin Fenzi 2008-03-02 12:09:40 EST
cvs done.
Comment 11 Mohd Izhar Firdaus Ismail 2008-03-02 12:16:18 EST
thanks all

Note You need to log in before you can comment on or make changes to this bug.